Bug 589749 - MDRaidError: mdcreate failed for /dev/md0: mdadm: failed to open /dev/mapper/luks-0d4cb3f4-4832-44eb-a7f8-8a255d00e2bd after earlier success - aborting
MDRaidError: mdcreate failed for /dev/md0: mdadm: failed to open /dev/mapper/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:d825654ba7a769ff7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 15:49 EDT by James Laska
Modified: 2013-09-02 02:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (806.94 KB, text/plain)
2010-05-06 15:49 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2010-05-06 15:49:50 EDT
The following was filed automatically by anaconda:
anaconda 13.40 exception report
Traceback (most recent call first):
  File "/tmp/updates/storage/devicelibs/mdraid.py", line 160, in mdcreate
    raise MDRaidError("mdcreate failed for %s: %s" % (device, msg))
  File "/tmp/updates/storage/devices.py", line 2825, in create
    progress=w)
  File "/tmp/updates/storage/deviceaction.py", line 203, in execute
    self.device.create(intf=intf)
  File "/tmp/updates/storage/devicetree.py", line 704, in processActions
    action.execute(intf=self.intf)
  File "/tmp/updates/storage/__init__.py", line 293, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 109, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
MDRaidError: mdcreate failed for /dev/md0: mdadm: failed to open /dev/mapper/luks-0d4cb3f4-4832-44eb-a7f8-8a255d00e2bd after earlier success - aborting
Comment 1 James Laska 2010-05-06 15:49:54 EDT
Created attachment 412146 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2010-05-06 18:00:08 EDT
Encountered this failure while trying to test an updates.img for bug#588597

The install partition was complex!  I believe the following setup was used.

* local BIOS RAID volume
* remote iSCSI volume
* partitions
  '/boot' on local BIOS RAID
  LVM PV on local BIOS RAID
  LVM PV /dev/md0 (full of RAID members from iSCSI volume)
  swap and '/' as LVM LV's
* Everything marked as Encrypted (except '/boot')
Comment 3 Hans de Goede 2010-05-10 07:28:29 EDT
luks-0d4cb3f4-4832-44eb-a7f8-8a255d00e2bd seems to somehow have become part of md0's parents multiple times, looking at storage.log it gets set up multiple times, and looking at the mdadm invocation it also gets passed multiple times.

Also besides the error in comment #0, mdamd says:
mdadm: largest drive (/dev/mapper/luks-71afdcfc-e044-4deb-b652-de3aa889bc7d) exceeds size (2044928K) by more than 1%

But I'm not sure if that is a warning or an error.
Comment 4 Bug Zapper 2011-06-02 10:23:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:09:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.